@import url("./fonts/stylesheet.css");

*, *::before, *::after {
    box-sizing: border-box;
    
}

body {
    margin: 0;
    padding: 0;
    color: rgb(255, 255, 255);
    font-family: 'Object Sans', sans-serif;
    
}

/* Стили навигационной панели */

.main-logo {
    width: 200px; 
    height: 2em;
    display: flex;
    justify-content: center;
    align-items: center;
    justify-self: left;
}

.main-logo img {
    height: 1em;
    width: auto;
}

.top-nav {
    display: flex;
    align-items: center;
    font-size: .7em;
    margin-left: 7vw;
}

.top-nav ul {
    padding: 0;
    margin: 0;
    display: flex;
    list-style: none;
    align-items: center;
}

.top-nav li {
    display: flex;
    text-align: center;
}

.top-nav a {
    text-decoration: none;
    font-family: inherit;
    font-size: 1.3em;
    color: inherit;
    padding: .5rem;
}

.top-nav a:hover {
    color: #adadad;
}

.search-tool {
    width: 25vw;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: end;
    
}

.search-bar {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.search-tool img {
    width: 1.5em;
    height: auto;
    cursor: pointer;
}

.header {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.main-header {
    width: 100%;
    position: absolute;
    z-index: 999;
    margin: 1rem 1rem auto auto;
}

.head-wrapper {
    width: 100%;
    padding: 0 5% 0 5%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

/* Стили первый контейнер */

.img-container {
    margin: 0;
    padding: .5rem .5rem .5rem .5rem;
    
    width: 100%;
}

.first-row {
    display: flex;
    flex-direction: row;
    margin-bottom: .5rem;
}

.first {
    width: 55%;
    margin-right: .5rem;
    border-radius: 8px;
    position: relative; 
    text-align: center;
}

.second {
    width: 45%;
    border-radius: 8px;
    position: relative; 
    text-align: center;
}

.first-row img {
    object-fit: cover;
    width: 100%;
    border-radius: 2px;
}

.second-row {
    border-radius: 8px;
    position: relative; 
    text-align: center;
}

.second-row img {
    width: 100%;
    border-radius: 2px;
}

/* Стили второй контейнер */

.img-container-sec {
    width: 100%;
    padding: .5rem;
}

.sec-first-row {
    display: flex;
    height: 26vw;
    margin-bottom: .5rem;
}

.sec-fir-first {
    position: relative;
    width: 45%;
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    border-radius: 2px;
    background-color: rgba(151, 151, 151, 1);
}

.sec-fir-first img {
    height: 80%;
}

.sec-fir-second {
    box-sizing: content-box;
    width: 55%;
    margin-left: .5rem;
    border-radius: 2px;
    position: relative; 
    text-align: center;
}

.sec-fir-second img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    border-radius: 2px;
}

.sec-second-row {
    display: flex;
    height: 26vw;
}

.sec-sec-first {
    width: 55%;
    margin-right: .5rem;
    position: relative; 
    text-align: center;
}

.sec-sec-second {
    width: 45%;
    position: relative; 
    text-align: center;
}

.sec-sec-first img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    border-radius: 2px;
}

.sec-sec-second img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    border-radius: 2px;
}

/* Стили текста на картинках в блоках */

.caption {
    font-family: inherit;
    position: absolute;
    text-align: start;
    bottom: -6px;
    left: 16px;
}

.order {
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 30%;
    height: 8%;
    background-color: rgba(47, 134, 214, 1);
    top: 6%;
    right: 0;
}

.order a {
    color: #fff;
    text-decoration: none;
    font-family: inherit;
}

.order a:hover {
    color: #bababa;
}

.caption p {
    font-size: 1.5rem;
}

.caption-2 {
    font-family: inherit;
    position: absolute;
    color: black;
    text-align: start;
    top: 15px;
    left: 16px;
}

.caption-2 p {
    font-size: 1.5rem;
}

/* Градиентная заливка */

.gradient-1 {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    opacity: .5;
    background: linear-gradient(0deg, rgba(37, 33, 125, 1), rgba(37, 33, 125, 0));
}

.gradient-2 {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    opacity: .5;
    background: linear-gradient(0deg, rgba(16, 16, 15, 1), rgba(16, 16, 15, 0));
}

/* Стили надписи на слайдере */

.slider-caption {
    font-family: inherit;
    width: 35%;
    position: absolute;
    top: 30%;
    left: 15%;
}

.slider-caption h2 {
    font-weight: 800;
    font-size: 2vw;
}

.slider-caption p {
    font-size: 1.3vw;
}

.knowabout {
    width: 45%;
    padding: 3%;
    display: flex;
    justify-content: center;
    border: 2px solid white;
    border-radius: 5px;
}

.knowabout a {
    text-decoration: none;
    color: inherit;
    font-size: 1.1vw;
}

/* Стили футер */

.bottom-page {
    background-color: black;
    height: 20vw;
    padding: 2vw;
}

.bottom-page a:hover {
    color: #bababa;
}

.footer-up {
    display: flex;
    justify-content: space-between;
    height: 75%;
    width: 90%;
    margin-left: auto;
    margin-right: auto;
}

.up-left {
    position: relative;
}

.left-row-1 {
    display: flex;
}

.left-row-2 {
    display: flex;
}

.link {
    z-index: 99;
    width: 5rem;
    margin-right: 1.2rem;
}

.up-left a {
    font-family: inherit;
    font-size: .8em;
    color: #fff;
    text-decoration: none; 
}

.left-text {
    position: absolute;
    bottom: 1vw;
    left: 0;
}

.up-centr {
    position: relative;
}

.centr-text {
    display: flex;
    width: 100%;
    align-items: center;
}

.centr-text p {
    font-size: .8em;
    padding-top: 1.5vw;
}

.rsva {
    display: flex;
    margin-right: 1rem;
}

.rsva img {
    margin-right: 1rem;
    height: 5vw;
}

.national {
    display: flex;
}

.national img {
    margin-right: 1rem;
    height: 5vw;
}

.centr-bot-text {
    position: absolute;
    bottom: 1vw;
    left: 20%;
    width: 100%;
}

.centr-link {
    margin-right: 1.2rem;
}

.centr-link a {
    font-family: inherit;
    font-size: .8em;
    color: #fff;
    text-decoration: none; 
}

.centr-bot-text img {
    height: 1rem;
    margin-right: .3rem;
}

.centr-row-1 {
    display: flex;
    
}

.centr-row-1 p {
    width: 100%;
    font-size: .8rem;
    margin-right: 5rem;
}

.centr-row-2 {
    margin-bottom: 0;
}

.centr-row-2 p {
    font-size: .8rem;
    
}

.up-right {
    position: relative;
}

.up-right a {
    font-family: inherit;
    font-size: .8em;
    color: #fff;
    text-decoration: none; 
}

.right-text {
    
    font-size: .8rem;
}

.mail-tool {
    display: flex; 
    justify-content: center;
    align-items: center; 
    background: rgba(47, 134, 214, 1);
    border-radius: 1px;
    width: 3rem;
    cursor: pointer;                    
}

.line {
    width: 100%;
    display: flex;
    justify-content: center;
}

.line img {
    width: 100%;
}

.bot-bot {
    margin-top: 1rem;
    display: flex;
    align-items: center;
    width: 85%;
    margin-right: auto;
    margin-left: auto;
    justify-content: space-between;
}

.bot-bot p {
    font-family: inherit;
    font-size: .8rem;
}


@media screen and (max-width: 1200px) {

    * {
        font-size: 95%;
    }



    
}

@media screen and (max-width: 1000px) {

    * {
        font-size: 90%;
    }
    
    /* Стили <1000px первый блок */

    .img-container {
        margin: 0;
        padding: .5rem .5rem .5rem .5rem;
        
        width: 100%;
    }
    
    .first-row {
        display: flex;
        flex-direction: column;
        margin-bottom: .5rem;
    }
    
    .first {
        width: 100%;
        margin-right: .5rem;
        border-radius: 8px;
        position: relative; 
        text-align: center;
        margin-bottom: .5rem;
    }
    
    .second {
        width: 100%;
        border-radius: 8px;
        position: relative; 
        text-align: center;
    }

    .second a {
        font-size: 1.2rem;
    }
    
    .first img {
        object-fit: cover;
        width: 100%;
        border-radius: 2px;
    }

    .second img {
        object-fit: cover;
        width: 100%;
        height: 70vw;
        border-radius: 2px;
    }
    
    .second-row {
        border-radius: 8px;
        position: relative; 
        text-align: center;
    }
    
    .second-row img {
        width: 100%;
        border-radius: 2px;
    }

    /* Стили <1000px второй блок */
    
    .img-container-sec {
        width: 100%;
        padding: .5rem;
    }
    
    .sec-first-row {
        display: flex;
        flex-direction: column;
        height: fit-content;
        margin-bottom: .5rem;
    }
    
    .sec-fir-first {
        position: relative;
        width: 100%;
        height: 52vw;
        margin-bottom: .5rem;
        display: flex;
        justify-content: flex-end;
        align-items: flex-end;
        border-radius: 2px;
        background-color: rgba(151, 151, 151, 1);
    }
    
    .sec-fir-first img {
        height: 80%;
    }
    
    .sec-fir-second {
        box-sizing: content-box;
        width: 100%;
        margin-left: 0;
        border-radius: 2px;
        position: relative; 
        text-align: center;
    }
    
    .sec-fir-second img {
        object-fit: cover;
        width: 100%;
        height: 100%;
        border-radius: 2px;
    }
    
    .sec-second-row {
        display: flex;
        flex-direction: column;
        height: fit-content;
    }
    
    .sec-sec-first {
        width: 100%;
        margin-right: .5rem;
        margin-bottom: .5rem;
        position: relative; 
        text-align: center;
    }
    
    .sec-sec-second {
        width: 100%;
        position: relative; 
        text-align: center;
    }
    
    .sec-sec-first img {
        object-fit: cover;
        width: 100%;
        height: 100%;
        border-radius: 2px;
    }
    
    .sec-sec-second img {
        object-fit: cover;
        width: 100%;
        height: 100%;
        border-radius: 2px;
    }
}

@media screen and (max-width: 600px) {

    .caption {
        font-family: inherit;
        position: absolute;
        text-align: start;
        bottom: -15px;
        left: 16px;
    }
    
    .order {
        position: absolute;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 30%;
        height: 8%;
        background-color: rgba(47, 134, 214, 1);
        top: 6%;
        right: 0;
    }
    
    .order a {
        color: #fff;
        text-decoration: none;
        font-family: inherit;
    }
    
    .order a:hover {
        color: #bababa;
    }
    
    .caption p {
        font-size: 1rem;
    }
    
    .caption-2 {
        font-family: inherit;
        position: absolute;
        color: black;
        text-align: start;
        top: 15px;
        left: 16px;
    }
    
    .caption-2 p {
        font-size: 1rem;
    }    
}